GIT-UNDO(1)

NAME
git-undo - Remove latest commits

SYNOPSIS
git-undo [-s, --soft, -h, --hard] [<commitcount>]

DESCRIPTION
Removes the latest commits.

OPTIONS
--soft or -s

Rolls back the commit(s) but leaves the changes in the staging area.

--hard or -h

This option wipes your commit(s), so that your changes cannot be recovered. Use with care. To avoid being confused with --help, there will be a confirmation when -h is specified.

<commitcount>

Number of commits to remove. Defaults to 1, thus remove the latest commit.

EXAMPLES
Removes the latest commit.

    $ git undo

Removes the latest commit, restoring the staging area.

    $ git undo -s

Remove the latest 3 commits:

    $ git undo 3

AUTHOR
Written by Kenneth Reitz <me@kennethreitz.com> and Nick Lombard <github@jigsoft.co.za>

REPORTING BUGS
<https://github.com/tj/git-extras/issues>

SEE ALSO
<https://github.com/tj/git-extras>